=== modified file 'loggerhead/templatefunctions.py'
--- loggerhead/templatefunctions.py	2008-08-12 21:08:49 +0000
+++ loggerhead/templatefunctions.py	2008-08-12 21:30:14 +0000
@@ -84,5 +84,6 @@
     return _pt('feed-link').expand(branch=branch, **templatefunctions)
 
 @templatefunc
-def menu(branch, url):
-    return _pt('menu').expand(branch=branch, url=url, **templatefunctions)
+def menu(branch, url, fileview_active=False):
+    return _pt('menu').expand(branch=branch, url=url,
+        fileview_active=fileview_active, **templatefunctions)

=== modified file 'loggerhead/templates/macros.pt'
--- loggerhead/templates/macros.pt	2008-08-12 21:08:49 +0000
+++ loggerhead/templates/macros.pt	2008-08-12 21:30:14 +0000
@@ -21,7 +21,8 @@
 
 <body>
     <!-- Loggerhead Content Area -->
-      <tal:menu replace="structure python:menu(branch, url)" />
+      <tal:menu define="fileview_active fileview_active"
+                replace="structure python:menu(branch, url, fileview_active)" />
       <div id="loggerheadCont">
 
          <div id="search_terms"></div>

=== modified file 'loggerhead/templates/menu.pt'
--- loggerhead/templates/menu.pt	2008-08-12 21:08:49 +0000
+++ loggerhead/templates/menu.pt	2008-08-12 21:30:14 +0000
@@ -8,20 +8,20 @@
           </div>
         </form>
 
-        <tal:block tal:condition="not:fileview_active">
+        <tal:changes-active tal:condition="not:fileview_active">
         <li><a tal:attributes="href python:url('/changes', clear=1);
                                title string:Changes;
                                id string:on">Changes</a></li>
         <li><a tal:attributes="href python:url('/files', clear=1);
                                title string:Files">Files</a></li>
-        </tal:block>
-        <tal:block tal:condition="fileview_active">
+        </tal:changes-active>
+        <tal:fileview-active tal:condition="fileview_active">
         <li><a tal:attributes="href python:url('/changes', clear=1);
                                title string:Changes">Changes</a></li>
         <li><a tal:attributes="href python:url('/files', clear=1);
                                title string:Files;
                                id string:on">Files</a></li>
-        </tal:block>
+        </tal:fileview-active>
       </ul>
 </tal:menu>
 

